Support for HP DeskJet 3639 All-in-One Printer

Asked by Leo Le Bouter on 2020-06-21

Hello!

I am trying to get an HP DeskJet 3639 All-in-One Printer to work.

I can't find it in the list of supported devices, nor in the unsupported devices.

I have to assume that support is pending implementation somehow.

I'd like to have that guess confirmed!

Thank you!

Question information

Language:
English Edit question
Status:
Solved
For:
HPLIP Edit question
Assignee:
No assignee Edit question
Solved by:
Leo Le Bouter
Solved:
2020-06-21
Last query:
2020-06-21
Last reply:
2020-06-21
brian_p (claremont102) said : #1

> I'd like to have that guess confirmed!

That's for upstream HPLIP to deal with. However, this device would
be supported by any modern printing system on Linux. Easiest is to
have it on the network with a wireless connection.

Which OS are you using?

Cheers,

Brian.

Leo Le Bouter (lle-bout) said : #2

> That's for upstream HPLIP to deal with.

I was redirected here from the official HP website, so I thought that was the official HPLIP bug tracker.

> However, this device would be supported by any modern printing system on Linux. Easiest is to have it on the network with a wireless connection.

Indeed, after additional effort (I went physically to help the user), turns out things work correctly using latest Debian Buster.

> Which OS are you using?

The user was on Debian Jessie, which is unsupported at the end of this month. After uprading to stretch and then buster things are working fine.

I was wondering if that would be the case before going through such an upgrade and looked at the supported printers list, and that printer didnt appear there, but turns out it works anyway.

Thank you!

brian_p (claremont102) said : #3

> I was redirected here from the official HP website, so I thought that
> was the official HPLIP bug tracker.

You are in the right place. I am only a user, like you. "upstream HPLIP "
refers to someone from the HPLIP project. Only they would know whether
support for the HP DeskJet 3639 is pending.

Your user is likely using driverless printing. Basically, not available on
jessie or stretch.

  https://wiki.debian.org/CUPSDriverlessPrinting

Glad you got things sorted

--
Brian.